<?php
    session_start();

    define("databazovySoubor", "dbusers.txt");

    if(isset($_POST["username"]) && isset($_POST["password"]))
    {
        overUzivatele($_POST["username"], $_POST["password"]);
    }

    function overUzivatele($username, $zadaneHesloDoFormulare){
        $nactenyHash = dejMiHashProUzivateleZDB($username);

        if(password_verify($zadaneHesloDoFormulare, $nactenyHash))
        {

            $_SESSION["prihlasenyUzivatel"] = $username;
            header("Location: naseTajnaStranka.php");
            return true;
        }

        echo "vubec to neproslo";
        return false;
    }

function dejMiHashProUzivateleZDB($username){
    $soubor = fopen(databazovySoubor, "r");

    while(! feof($soubor))
    {

        $radekZDB  = fgets($soubor);
        $pole = explode(";", $radekZDB);

        if($pole[0] === $username){
            fclose($soubor);
            return str_replace(PHP_EOL, '',$pole[1]);
        }
    }
    fclose($soubor);

}
?>
<!DOCTYPE html>
<html>
<head>
    <title>LOGIN FORM</title>
</head>
<body>
    <h1>Prihlaseni</h1>
    <form action="login.php" method="post">
        <label >Username: <input type="text" name="username" style="border: 1px solid;"> </label><br>
        <label>Heslo: <input type="password" name="password" style="border: 1px solid;"></label><br>

        <button type="submit"> Prihlasit se </button>
        <button type="reset">RESET</button>
    </form>

</body>
</html>